package com.sheep.gamegroup.module.find.bean;

import com.sheep.gamegroup.module.find.util.IFilter;

import java.util.Locale;

/**
 * Created by realicing on 2018/12/4.
 * realicing@sina.com
 * 美化
 */
public class BeautifyFilter implements IFilter {

    private String name;

    public BeautifyFilter(String name) {
        this.name = name;
    }

    private int type = 1;
    private int width = 480;
    private int height = 640;

    public int getType() {
        return type;
    }

    public BeautifyFilter setType(int type) {
        this.type = type;
        return this;
    }

    public int getWidth() {
        return width;
    }

    public BeautifyFilter setWidth(int width) {
        this.width = width;
        return this;
    }

    public int getHeight() {
        return height;
    }

    public BeautifyFilter setHeight(int height) {
        this.height = height;
        return this;
    }

    public BeautifyFilter setName(String name) {
        this.name = name;
        return this;
    }

    @Override
    public String getName() {
        return name;
    }

    @Override
    public String getConfig() {
        return String.format(Locale.CHINA, "@beautify face %d %d %d", type, width, height);
    }
}
